Bug 547601 - Review Request: pfacter - A perl port of facter
Review Request: pfacter - A perl port of facter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-12-14 23:52 EST by Michael Stahnke
Modified: 2010-11-22 23:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 13:36:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2009-12-14 23:52:35 EST
Spec URL: http://stahnma.fedorapeople.org/reviews/perl-pfacter.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/perl-pfacter-1.13_3-1.fc11.src.rpm
Description: 
Pfacter is a cross-platform distribution for retrieving facts about the system 
such as IP and MAC addresses, DIMMs, processors, and hardware information. 
Pfacter supports writing to an LDAP database, making it an ideal tool in the 
creation of a universal infrastructure host list.
Comment 1 Kris Buytaert 2010-01-06 17:25:15 EST
First quick look .

$ rpmlint  perl-pfacter-1.13_3-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint  perl-pfacter.spec  
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Kris Buytaert 2010-01-06 17:30:54 EST
I tried building the pacakge.
I think there are some build dependencies missing .



$ rpmbuild -ba perl-pfacter.spec  
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.5nNsrY
+ umask 022
+ cd /home/sdog/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/sdog/rpmbuild/BUILD
+ rm -rf pfacter-1.13-3
+ /usr/bin/gzip -dc /home/sdog/rpmbuild/SOURCES/pfacter-1.13-3.tar.gz
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd pfacter-1.13-3
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.wAOOZt
+ umask 022
+ cd /home/sdog/rpmbuild/BUILD
+ cd pfacter-1.13-3
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Checking if your kit is complete...
Warning: the following files are missing in your kit:
	t/01-core.t
Please inform the author.
Writing Makefile for Pfacter
+ make -j2
cp lib/Pfacter/cfversion.pm blib/lib/Pfacter/cfversion.pm
cp lib/Pfacter.pm blib/lib/Pfacter.pm
cp lib/Pfacter/localtime.pm blib/lib/Pfacter/localtime.pm
cp lib/Pfacter/kernel.pm blib/lib/Pfacter/kernel.pm
cp lib/Pfacter/kernelrelease.pm blib/lib/Pfacter/kernelrelease.pm
cp lib/Pfacter/architecture.pm blib/lib/Pfacter/architecture.pm
cp lib/Pfacter/hostname.pm blib/lib/Pfacter/hostname.pm
cp lib/Pfacter/memorytotal.pm blib/lib/Pfacter/memorytotal.pm
cp lib/Pfacter/serialnumber.pm blib/lib/Pfacter/serialnumber.pm
cp lib/Pfacter/uniqueid.pm blib/lib/Pfacter/uniqueid.pm
cp lib/Pfacter/lsbrelease.pm blib/lib/Pfacter/lsbrelease.pm
cp lib/Pfacter/operatingsystem.pm blib/lib/Pfacter/operatingsystem.pm
cp lib/Pfacter/kernelversion.pm blib/lib/Pfacter/kernelversion.pm
cp lib/Pfacter/cfclasses.pm blib/lib/Pfacter/cfclasses.pm
cp lib/Pfacter/swap.pm blib/lib/Pfacter/swap.pm
cp lib/Pfacter/hardwaremodel.pm blib/lib/Pfacter/hardwaremodel.pm
cp lib/Pfacter/hardwaremanufacturer.pm blib/lib/Pfacter/hardwaremanufacturer.pm
cp lib/Pfacter/fqdn.pm blib/lib/Pfacter/fqdn.pm
cp lib/Pfacter/filesystems.pm blib/lib/Pfacter/filesystems.pm
cp lib/Pfacter/hardwareplatform.pm blib/lib/Pfacter/hardwareplatform.pm
cp lib/Pfacter/processor.pm blib/lib/Pfacter/processor.pm
cp lib/Pfacter/wwn.pm blib/lib/Pfacter/wwn.pm
cp lib/Pfacter/domain.pm blib/lib/Pfacter/domain.pm
cp lib/Pfacter/macaddress.pm blib/lib/Pfacter/macaddress.pm
cp lib/Pfacter/memory.pm blib/lib/Pfacter/memory.pm
cp pfacter.pod blib/lib/pfacter.pod
cp lib/Pfacter/disk.pm blib/lib/Pfacter/disk.pm
cp lib/Pfacter/productid.pm blib/lib/Pfacter/productid.pm
cp lib/Pfacter/hardwareproduct.pm blib/lib/Pfacter/hardwareproduct.pm
cp lib/Pfacter/lsbid.pm blib/lib/Pfacter/lsbid.pm
cp lib/Pfacter/ipaddress.pm blib/lib/Pfacter/ipaddress.pm
cp lib/Pfacter/lsbdescription.pm blib/lib/Pfacter/lsbdescription.pm
cp lib/Pfacter/processorcount.pm blib/lib/Pfacter/processorcount.pm
Manifying blib/man3/pfacter.3pm
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.f2ql00
+ umask 022
+ cd /home/sdog/rpmbuild/BUILD
+ '[' /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386 '!=' / ']'
+ rm -rf /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386
++ dirname /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386
+ mkdir -p /home/sdog/rpmbuild/BUILDROOT
+ mkdir /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386
+ cd pfacter-1.13-3
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386
+ make pure_install PERL_INSTALL_ROOT=/home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/pfacter.pod
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/ipaddress.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/lsbrelease.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/kernelrelease.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/productid.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/uniqueid.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/cfclasses.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/hardwareplatform.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/swap.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/memory.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/localtime.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/cfversion.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/domain.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/hardwaremodel.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/hardwaremanufacturer.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/kernelversion.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/hostname.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/filesystems.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/macaddress.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/lsbid.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/lsbdescription.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/architecture.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/memorytotal.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/serialnumber.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/hardwareproduct.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/wwn.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/kernel.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/processorcount.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/operatingsystem.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/processor.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/fqdn.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/lib/perl5/vendor_perl/5.10.0/Pfacter/disk.pm
Installing /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr/share/man/man3/pfacter.3pm
Writing /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/auto/Pfacter/.packlist
+ find /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386 -type f -name .packlist -exec rm -f '{}' ';'
+ find /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386 -depth -type d -exec rmdir '{}' ';'
+ chmod -R u+w /home/sdog/rpmbuild/BUILDROOT/perl-pfacter-1.13_3-1.fc11.i386/usr
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/sdog/rpmbuild/BUILD/pfacter-1.13-3
find: `debug': No such file or directory
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.YHRW6y
+ umask 022
+ cd /home/sdog/rpmbuild/BUILD
+ cd pfacter-1.13-3
+ unset DISPLAY
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-load.t ...... Can't locate Test/More.pm in @INC (@INC contains: /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/lib /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/arch /usr/local/lib/perl5 /usr/lib/perl4 /soft/www/libwww-perl-040 /soft/www/PerlLib /usr/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl) at t/00-load.t line 3.
BEGIN failed--compilation aborted at t/00-load.t line 3.
t/00-load.t ...... Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/01-kernel.t .... Can't locate Test/Simple.pm in @INC (@INC contains: /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/lib /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/arch /usr/local/lib/perl5 /usr/lib/perl4 /soft/www/libwww-perl-040 /soft/www/PerlLib /usr/lib/perl5/site_perl /usr/local/lib/perl5 /usr/lib/perl4 /soft/www/libwww-perl-040 /soft/www/PerlLib /usr/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl .) at t/01-kernel.t line 5.
BEGIN failed--compilation aborted at t/01-kernel.t line 5.
t/01-kernel.t .... Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/boilerplate.t .. Can't locate Test/More.pm in @INC (@INC contains: /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/lib /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/arch /usr/local/lib/perl5 /usr/lib/perl4 /soft/www/libwww-perl-040 /soft/www/PerlLib /usr/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl) at t/boilerplate.t line 5.
BEGIN failed--compilation aborted at t/boilerplate.t line 5.
t/boilerplate.t .. Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/pod.t .......... Can't locate Test/More.pm in @INC (@INC contains: /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/lib /home/sdog/rpmbuild/BUILD/pfacter-1.13-3/blib/arch /usr/local/lib/perl5 /usr/lib/perl4 /soft/www/libwww-perl-040 /soft/www/PerlLib /usr/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl) at t/pod.t line 5.
BEGIN failed--compilation aborted at t/pod.t line 5.
t/pod.t .......... Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 

Test Summary Report
-------------------
t/00-load.t    (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/01-kernel.t  (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/boilerplate.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/pod.t        (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=4, Tests=0,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.01 cusr  0.01 csys =  0.06 CPU)
Result: FAIL
Failed 4/4 test programs. 0/0 subtests failed.
make: *** [test_dynamic] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.YHRW6y (%check)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.YHRW6y (%check)
Comment 3 Michael Stahnke 2010-01-06 21:45:23 EST
Was missing a BR on perl(Test::More) for some reason I thought that was in the buildroot already.  


Spec URL: http://stahnma.fedorapeople.org/reviews/perl-pfacter.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/perl-pfacter-1.13_3-2.fc12.src.rpm
Comment 4 Michael Stahnke 2010-01-13 22:31:29 EST
ping?
Comment 5 Michael Stahnke 2010-02-01 20:17:17 EST
anybody?
Comment 6 Michael Stahnke 2010-07-22 22:44:02 EDT
Can anybody review the rest of this?
Comment 7 Jérôme Fenal 2010-07-24 18:28:17 EDT
This is not a review, because I'm not yet a blessed Fedora Packager, but a few useful (I hope) comments :

Name of the package is perl-pfacter, perl package is pfacter, but perl namespace of this module is Pfacter. I'd need to check the right case for the right case naming, but I guess you're right here.

In %install :
- s/PERL_INSTALL_ROOT/DESTDIR/
- chmod -R u+w could be replaced by %{_fixperms}

In %files :
- No README, no Changes despite being present in the source tarball.
- %{perl_vendorlib}/* is way too open. Using %dir %{perl_vendorlib}/Pfacter and %{perl_vendorlib}/Pfacter.pm would be ok.
- What's the difference between /usr/share/perl5/pfacter.pod & /usr/share/man/man3/pfacter.3pm.gz in the resulting package ? The first one does not add anything.

HTH,

J.
Comment 8 Jérôme Fenal 2010-07-24 18:50:12 EDT
Just opened a ticket for the upstream, the CPAN package is not in right shape :
https://rt.cpan.org/Public/Bug/Display.html?id=59681

Running perl Makefile.PL leads to an error due to missing file :
$ perl Makefile.PL
Checking if your kit is complete...
Warning: the following files are missing in your kit:
t/01-core.t
Please inform the author.
Writing Makefile for Pfacter

Also, version is set at 1.14 in lib/Pfacter.pm, whereas distribution is
1.13-3.

Last, the pfacter script is not installed, because not mentioned in
EXE_FILES in Makefile.PL

Let's see if the author/maintainer responds quickly.
Comment 9 Marcela Mašláňová 2010-07-26 06:05:08 EDT
(In reply to comment #7)
> This is not a review, because I'm not yet a blessed Fedora Packager, but a few
> useful (I hope) comments :
> 
If you are not packager, then you should add into Blocks bug number 177841. That's FE-NEEDSPONSOR ticket.
Comment 10 Jason Tibbitts 2010-11-14 14:52:56 EST
Obviously comment 9 is a bit confused, since Jerome was trying to help review this package, not submit it.  But the commentary he provided seems to be valid, and it would be nice to see it addressed.
Comment 11 Michael Stahnke 2010-11-22 13:36:10 EST
My workplace has decided not to use this package, and I no longer have a use for it.  It's probably best for me to withdraw the submission.
Comment 12 Jason Tibbitts 2010-11-22 23:45:23 EST
Cool, thanks.

Note You need to log in before you can comment on or make changes to this bug.